import os

from defence360agent.utils.kwconfig import KWConfig

BASEDIR = "/usr/local/directadmin/conf"


class ConfigOptions(KWConfig):
    SEARCH_PATTERN = r"^\s*{}\s*=\s*(.*?)\s*$"
    WRITE_PATTERN = "{}={}"
    DEFAULT_FILENAME = os.path.join(BASEDIR, "directadmin.conf")
